// BemRawView.h : interface of the CBemRawView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_BEMRAWVIEW_H__B84A67AE_3DE7_11D3_B28A_00C0DFA996CB__INCLUDED_)
#define AFX_BEMRAWVIEW_H__B84A67AE_3DE7_11D3_B28A_00C0DFA996CB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CBemRawView : public CZoomView
{
protected: // create from serialization only
	CBemRawView();
	DECLARE_DYNCREATE(CBemRawView)

// Attributes
public:
	CBemRawDoc* GetDocument();

// Operations
public:
	int LBut,ndnum,tstart,tend;
	BOOL IsButDown;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBemRawView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CBemRawView();
	void RevTran(float *gcb, CPoint p, float &xb, float &yb);
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CBemRawView)
	afx_msg void OnZoomIn();
	afx_msg void OnUpdateZoomIn(CCmdUI* pCmdUI);
	afx_msg void OnZoomOut();
	afx_msg void OnUpdateZoomOut(CCmdUI* pCmdUI);
	afx_msg void OnZoomFull();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnGeomAreaInp();
	afx_msg void OnGeomAreaMouse();
	afx_msg void OnGeomAreaMove();
	afx_msg void OnUpdateGeomAreaMove(CCmdUI* pCmdUI);
	afx_msg void OnGeomAreaDel();
	afx_msg void OnUpdateGeomAreaDel(CCmdUI* pCmdUI);
	afx_msg void OnGeomAreaOpen();
	afx_msg void OnGeomAreaSave();
	afx_msg void OnUpdateGeomAreaMouse(CCmdUI* pCmdUI);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnGeomPart();
	afx_msg void OnTime();
	afx_msg void OnViewTime();
	afx_msg void OnPartOpen();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in BemRawView.cpp
inline CBemRawDoc* CBemRawView::GetDocument()
   { return (CBemRawDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BEMRAWVIEW_H__B84A67AE_3DE7_11D3_B28A_00C0DFA996CB__INCLUDED_)
